# AP4_IsfmAtom Class Reference

`#include <Ap4IsfmAtom.h>`

Inheritance diagram for AP4_IsfmAtom:

List of all members.

## Public Member Functions
| AP4_IsfmAtom (bool m_SelectiveEncryption, AP4_UI08 m_KeyIndicatorLength, AP4_UI08 m_IvLength)
virtual AP4_Atom * | Clone ()
| Create a clone of the object.
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
bool | GetSelectiveEncryption ()
AP4_UI08 | GetKeyIndicatorLength ()
AP4_UI08 | GetIvLength ()
## Static Public Member Functions
static AP4_IsfmAtom * | Create (AP4_Size size, AP4_ByteStream &stream)

## Detailed Description

Definition at line 41 of file Ap4IsfmAtom.h.

## Constructor & Destructor Documentation

AP4_IsfmAtom::AP4_IsfmAtom | ( | bool | m_SelectiveEncryption,
|  | AP4_UI08 | m_KeyIndicatorLength,
|  | AP4_UI08 | m_IvLength |
| ) |  |  |

## Member Function Documentation

static AP4_IsfmAtom* AP4_IsfmAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[static]`

virtual AP4_Atom* AP4_IsfmAtom::Clone | ( |  | ) | `[virtual]`

Create a clone of the object.

This method returns a clone of the atom, or NULL if the atom cannot be cloned. Override this if your want to make an atom cloneable in a more efficient way than the default implementation.

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_IsfmAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_IsfmAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

bool AP4_IsfmAtom::GetSelectiveEncryption | ( |  | ) | `[inline]`

Definition at line 56 of file Ap4IsfmAtom.h.

AP4_UI08 AP4_IsfmAtom::GetKeyIndicatorLength | ( |  | ) | `[inline]`

Definition at line 57 of file Ap4IsfmAtom.h.

AP4_UI08 AP4_IsfmAtom::GetIvLength | ( |  | ) | `[inline]`

Definition at line 58 of file Ap4IsfmAtom.h.

The documentation for this class was generated from the following file:

- Ap4IsfmAtom.h